
/**
 * Module dependencies.
 */

var express = require('express')
  , routes = require('./routes')
  , http = require('http')
  , path = require('path')
  , fs = require("fs");

var app = express();

// all environments
app.set('port', process.env.PORT || 3000);
app.set('views', __dirname + '/views');
app.set('view engine', 'jade');
app.use(express.logger('dev'));
app.use(express.bodyParser());
app.use(express.methodOverride());
app.use(app.router);
app.use(express.static(path.join(__dirname, 'public')));
app.use(express.favicon(path.join(__dirname, 'public/favicon.ico')));

console.log(__dirname);

// development only
if ('development' == app.get('env')) {
  app.use(express.errorHandler());
}

app.get('/', routes.index);
app.get('/keepalive', routes.keepalive);
app.get('/def/:name', routes.nodedefs);
app.get('/preference/:file', routes.rendering)
app.put('/file/:type/:name', routes.addFile);
app.get('/file/:name', routes.getFile);
app.del('/file/:name', routes.deleteFile);
app.get("/filelist", routes.getAllFiles);
app.get("/dl/:type/:name", routes.dlFile);
app.get("/execution/:file", routes.execution);
app.get("/abort", routes.abort);
app.get("/execstatus", routes.execstatus);
app.get("/packagelist", routes.packagelist);
app.get("/datapath", routes.datapath);
// app.get("/login", routes.login);
// app.post("/login/:type", routes.checklogin);

app.get("/os", routes.os);
app.put('/reshapedNodes', routes.reshape)

if(!fs.existsSync("networks.csv"))
    fs.writeFileSync("networks.csv", "");

http.createServer(app).listen(app.get('port'), function(){
  console.log('Express server listening on port ' + app.get('port'));
});
