import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner
import time


class PythonNode (harkdesigner.TestHarkDesigner):
    def test_makefig(self):
        self.addSheet("loop", "iterator")

        self.activateSheet("loop")
        self.addNode("Iterate")
        self.addNode("Constant")
        self.reshape()

        self.addTerminalRole("node_Iterate_1", "OUTPUT", "Condition")
        self.addTerminalRole("node_Constant_1", "VALUE", "Output")

        self.setParamValue("node_Iterate_1", "MAX_ITER", 4)
        self.setParamValue("node_Constant_1", "VALUE", 4)

        self.activateSheet("MAIN")
        self.addNode("loop")
        self.addTerminalRole("node_loop_1", "VALUE", "Output")

        self.saveAs("sample.n")

        self.execute()
        time.sleep(5)
        self.assertIn("frominish", self.executeStatus())

if __name__ == "__main__":
    unittest.main()
